from dataclasses import dataclass, field

from .base import Paysite, Service_Post, Service_User


@dataclass
class User(Service_User):
    def profile(self, artist: dict) -> str:
        return f"https://candfans.jp/{(artist or {}).get('public_id')}"


@dataclass
class Post(Service_Post):
    def link(self, post_id: str, user_id: str) -> str:
        return f"https://candfans.jp/posts/comment/show/{post_id}"


@dataclass
class CandFans(Paysite):
    name: str = "candfans"
    title: str = "CandFans"
    user: User = field(default_factory=User)
    post: Post = field(default_factory=Post)
    color: str = "#e8486c"
